/*
 * https://github.com/morethanwords/tweb
 * Copyright (C) 2019-2021 Eduard Kuzmenko
 * https://github.com/morethanwords/tweb/blob/master/LICENSE
 */

import type { HelpCountriesList } from "./layer";

const Countries: HelpCountriesList.helpCountriesList = {
  _: 'help.countriesList',
  countries: [{"iso2":"AD","default_name":"Andorra","country_codes":[{"country_code":"376","patterns":["XX XX XX"]}]},{"iso2":"AE","default_name":"United Arab Emirates","country_codes":[{"country_code":"971","patterns":["XX XXX XXXX"]}]},{"iso2":"AF","default_name":"Afghanistan","country_codes":[{"country_code":"93","patterns":["XXX XXX XXX"]}]},{"iso2":"AG","default_name":"Antigua & Barbuda","country_codes":[{"country_code":"1268","patterns":["XXX XXXX"]}]},{"iso2":"AI","default_name":"Anguilla","country_codes":[{"country_code":"1264","patterns":["XXX XXXX"]}]},{"iso2":"AL","default_name":"Albania","country_codes":[{"country_code":"355","patterns":["XX XXX XXXX"]}]},{"iso2":"AM","default_name":"Armenia","country_codes":[{"country_code":"374","patterns":["XX XXX XXX"]}]},{"iso2":"AO","default_name":"Angola","country_codes":[{"country_code":"244","patterns":["XXX XXX XXX"]}]},{"iso2":"AR","default_name":"Argentina","country_codes":[{"country_code":"54"}]},{"iso2":"AS","default_name":"American Samoa","country_codes":[{"country_code":"1684","patterns":["XXX XXXX"]}]},{"iso2":"AT","default_name":"Austria","country_codes":[{"country_code":"43","patterns":["X XXXXXXXX"]}]},{"iso2":"AU","default_name":"Australia","country_codes":[{"country_code":"61","patterns":["X XXXX XXXX"]}]},{"iso2":"AW","default_name":"Aruba","country_codes":[{"country_code":"297","patterns":["XXX XXXX"]}]},{"iso2":"AZ","default_name":"Azerbaijan","country_codes":[{"country_code":"994","patterns":["XX XXX XXXX"]}]},{"iso2":"BA","default_name":"Bosnia & Herzegovina","country_codes":[{"country_code":"387","patterns":["XX XXX XXX"]}]},{"iso2":"BB","default_name":"Barbados","country_codes":[{"country_code":"1246","patterns":["XXX XXXX"]}]},{"iso2":"BD","default_name":"Bangladesh","country_codes":[{"country_code":"880","patterns":["XX XXX XXX"]}]},{"iso2":"BE","default_name":"Belgium","country_codes":[{"country_code":"32","patterns":["XXX XX XX XX"]}]},{"iso2":"BF","default_name":"Burkina Faso","country_codes":[{"country_code":"226","patterns":["XX XX XX XX"]}]},{"iso2":"BG","default_name":"Bulgaria","country_codes":[{"country_code":"359"}]},{"iso2":"BH","default_name":"Bahrain","country_codes":[{"country_code":"973","patterns":["XXXX XXXX"]}]},{"iso2":"BI","default_name":"Burundi","country_codes":[{"country_code":"257","patterns":["XX XX XXXX"]}]},{"iso2":"BJ","default_name":"Benin","country_codes":[{"country_code":"229","patterns":["XX XXX XXX"]}]},{"iso2":"BM","default_name":"Bermuda","country_codes":[{"country_code":"1441","patterns":["XXX XXXX"]}]},{"iso2":"BN","default_name":"Brunei Darussalam","country_codes":[{"country_code":"673","patterns":["XXX XXXX"]}]},{"iso2":"BO","default_name":"Bolivia","country_codes":[{"country_code":"591","patterns":["X XXX XXXX"]}]},{"iso2":"BQ","default_name":"Bonaire, Sint Eustatius & Saba","country_codes":[{"country_code":"599"}]},{"iso2":"BR","default_name":"Brazil","country_codes":[{"country_code":"55","patterns":["XX XXXXX XXXX"]}]},{"iso2":"BS","default_name":"Bahamas","country_codes":[{"country_code":"1242","patterns":["XXX XXXX"]}]},{"iso2":"BT","default_name":"Bhutan","country_codes":[{"country_code":"975","patterns":["XX XXX XXX"]}]},{"iso2":"BW","default_name":"Botswana","country_codes":[{"country_code":"267","patterns":["XX XXX XXX"]}]},{"iso2":"BY","default_name":"Belarus","country_codes":[{"country_code":"375","patterns":["XX XXX XXXX"]}]},{"iso2":"BZ","default_name":"Belize","country_codes":[{"country_code":"501"}]},{"iso2":"CA","default_name":"Canada","country_codes":[{"country_code":"1","prefixes":["403","587","780","825","236","250","604","672","778","204","431","506","709","902","782","226","249","289","343","365","416","437","519","548","613","647","705","807","905","418","438","450","514","579","581","819","873","306","639","867"],"patterns":["XXX XXX XXXX"]}]},{"iso2":"CD","default_name":"Congo (Dem. Rep.)","country_codes":[{"country_code":"243","patterns":["XX XXX XXXX"]}]},{"iso2":"CF","default_name":"Central African Rep.","country_codes":[{"country_code":"236","patterns":["XX XX XX XX"]}]},{"iso2":"CG","default_name":"Congo (Rep.)","country_codes":[{"country_code":"242","patterns":["XX XXX XXXX"]}]},{"iso2":"CH","default_name":"Switzerland","country_codes":[{"country_code":"41","patterns":["XX XXX XXXX"]}]},{"iso2":"CI","default_name":"Côte d'Ivoire","country_codes":[{"country_code":"225","patterns":["XX XX XX XXXX"]}]},{"iso2":"CK","default_name":"Cook Islands","country_codes":[{"country_code":"682"}]},{"iso2":"CL","default_name":"Chile","country_codes":[{"country_code":"56","patterns":["X XXXX XXXX"]}]},{"iso2":"CM","default_name":"Cameroon","country_codes":[{"country_code":"237","patterns":["XXXX XXXX"]}]},{"iso2":"CN","default_name":"China","country_codes":[{"country_code":"86","patterns":["XXX XXXX XXXX"]}]},{"iso2":"CO","default_name":"Colombia","country_codes":[{"country_code":"57","patterns":["XXX XXX XXXX"]}]},{"iso2":"CR","default_name":"Costa Rica","country_codes":[{"country_code":"506","patterns":["XXXX XXXX"]}]},{"iso2":"CU","default_name":"Cuba","country_codes":[{"country_code":"53","patterns":["X XXX XXXX"]}]},{"iso2":"CV","default_name":"Cape Verde","country_codes":[{"country_code":"238","patterns":["XXX XXXX"]}]},{"iso2":"CW","default_name":"Curaçao","country_codes":[{"country_code":"599","prefixes":["9"]}]},{"iso2":"CY","default_name":"Cyprus","country_codes":[{"country_code":"357","patterns":["XXXX XXXX"]}]},{"iso2":"CZ","default_name":"Czech Republic","country_codes":[{"country_code":"420","patterns":["XXX XXX XXX"]}]},{"iso2":"DE","default_name":"Germany","country_codes":[{"country_code":"49","patterns":["XXXX XXXXXXX","16X XXXXXXX","17X XXXXXXX","3601 4198XX"]}]},{"iso2":"DJ","default_name":"Djibouti","country_codes":[{"country_code":"253","patterns":["XX XX XX XX"]}]},{"iso2":"DK","default_name":"Denmark","country_codes":[{"country_code":"45","patterns":["XXXX XXXX"]}]},{"iso2":"DM","default_name":"Dominica","country_codes":[{"country_code":"1767","patterns":["XXX XXXX"]}]},{"iso2":"DO","default_name":"Dominican Rep.","country_codes":[{"country_code":"1809","patterns":["XXX XXXX"]},{"country_code":"1829","patterns":["XXX XXXX"]},{"country_code":"1849","patterns":["XXX XXXX"]}]},{"iso2":"DZ","default_name":"Algeria","country_codes":[{"country_code":"213","patterns":["XXX XX XX XX"]}]},{"iso2":"EC","default_name":"Ecuador","country_codes":[{"country_code":"593","patterns":["XX XXX XXXX"]}]},{"iso2":"EE","default_name":"Estonia","country_codes":[{"country_code":"372","patterns":["XXXX XXXX"]}]},{"iso2":"EG","default_name":"Egypt","country_codes":[{"country_code":"20","patterns":["XX XXXX XXXX"]}]},{"iso2":"ER","default_name":"Eritrea","country_codes":[{"country_code":"291","patterns":["X XXX XXX"]}]},{"iso2":"ES","default_name":"Spain","country_codes":[{"country_code":"34","patterns":["XXX XXX XXX"]}]},{"iso2":"ET","default_name":"Ethiopia","country_codes":[{"country_code":"251","patterns":["XX XXX XXXX"]}]},{"iso2":"FI","default_name":"Finland","country_codes":[{"country_code":"358"}]},{"iso2":"FJ","default_name":"Fiji","country_codes":[{"country_code":"679","patterns":["XXX XXXX"]}]},{"iso2":"FK","default_name":"Falkland Islands","country_codes":[{"country_code":"500"}]},{"iso2":"FM","default_name":"Micronesia","country_codes":[{"country_code":"691"}]},{"iso2":"FO","default_name":"Faroe Islands","country_codes":[{"country_code":"298","patterns":["XXX XXX"]}]},{"iso2":"FR","default_name":"France","country_codes":[{"country_code":"33","patterns":["X XX XX XX XX"]}]},{"iso2":"GA","default_name":"Gabon","country_codes":[{"country_code":"241","patterns":["X XX XX XX"]}]},{"iso2":"GB","default_name":"United Kingdom","country_codes":[{"country_code":"44","patterns":["XXXX XXXXXX"]}]},{"iso2":"GD","default_name":"Grenada","country_codes":[{"country_code":"1473","patterns":["XXX XXXX"]}]},{"iso2":"GE","default_name":"Georgia","country_codes":[{"country_code":"995","patterns":["XXX XXX XXX"]}]},{"iso2":"GF","default_name":"French Guiana","country_codes":[{"country_code":"594"}]},{"iso2":"GH","default_name":"Ghana","country_codes":[{"country_code":"233","patterns":["XX XXX XXXX"]}]},{"iso2":"GI","default_name":"Gibraltar","country_codes":[{"country_code":"350","patterns":["XXXX XXXX"]}]},{"iso2":"GL","default_name":"Greenland","country_codes":[{"country_code":"299","patterns":["XXX XXX"]}]},{"iso2":"GM","default_name":"Gambia","country_codes":[{"country_code":"220","patterns":["XXX XXXX"]}]},{"iso2":"GN","default_name":"Guinea","country_codes":[{"country_code":"224","patterns":["XXX XXX XXX"]}]},{"iso2":"GP","default_name":"Guadeloupe","country_codes":[{"country_code":"590","patterns":["XXX XX XX XX"]}]},{"iso2":"GQ","default_name":"Equatorial Guinea","country_codes":[{"country_code":"240","patterns":["XXX XXX XXX"]}]},{"iso2":"GR","default_name":"Greece","country_codes":[{"country_code":"30","patterns":["XXX XXX XXXX"]}]},{"iso2":"GT","default_name":"Guatemala","country_codes":[{"country_code":"502","patterns":["X XXX XXXX"]}]},{"iso2":"GU","default_name":"Guam","country_codes":[{"country_code":"1671","patterns":["XXX XXXX"]}]},{"iso2":"GW","default_name":"Guinea-Bissau","country_codes":[{"country_code":"245","patterns":["XXX XXXX"]}]},{"iso2":"GY","default_name":"Guyana","country_codes":[{"country_code":"592"}]},{"iso2":"HK","default_name":"Hong Kong","country_codes":[{"country_code":"852","patterns":["X XXX XXXX"]}]},{"iso2":"HN","default_name":"Honduras","country_codes":[{"country_code":"504","patterns":["XXXX XXXX"]}]},{"iso2":"HR","default_name":"Croatia","country_codes":[{"country_code":"385","patterns":["XX XXX XXX"]}]},{"iso2":"HT","default_name":"Haiti","country_codes":[{"country_code":"509","patterns":["XXXX XXXX"]}]},{"iso2":"HU","default_name":"Hungary","country_codes":[{"country_code":"36","patterns":["XXX XXX XXX"]}]},{"iso2":"ID","default_name":"Indonesia","country_codes":[{"country_code":"62","patterns":["XXX XXXXXX"]}]},{"iso2":"IE","default_name":"Ireland","country_codes":[{"country_code":"353","patterns":["XX XXX XXXX"]}]},{"iso2":"IL","default_name":"Israel","country_codes":[{"country_code":"972","patterns":["XX XXX XXXX"]}]},{"iso2":"IN","default_name":"India","country_codes":[{"country_code":"91","patterns":["XXXXX XXXXX"]}]},{"iso2":"IO","default_name":"Diego Garcia","country_codes":[{"country_code":"246","patterns":["XXX XXXX"]}]},{"iso2":"IQ","default_name":"Iraq","country_codes":[{"country_code":"964","patterns":["XXX XXX XXXX"]}]},{"iso2":"IR","default_name":"Iran","country_codes":[{"country_code":"98","patterns":["XXX XXX XXXX"]}]},{"iso2":"IS","default_name":"Iceland","country_codes":[{"country_code":"354","patterns":["XXX XXXX"]}]},{"iso2":"IT","default_name":"Italy","country_codes":[{"country_code":"39","patterns":["XXX XXX XXX"]}]},{"iso2":"JM","default_name":"Jamaica","country_codes":[{"country_code":"1876","patterns":["XXX XXXX"]}]},{"iso2":"JO","default_name":"Jordan","country_codes":[{"country_code":"962","patterns":["X XXXX XXXX"]}]},{"iso2":"JP","default_name":"Japan","country_codes":[{"country_code":"81","patterns":["XX XXXX XXXX"]}]},{"iso2":"KE","default_name":"Kenya","country_codes":[{"country_code":"254","patterns":["XXX XXX XXX"]}]},{"iso2":"KG","default_name":"Kyrgyzstan","country_codes":[{"country_code":"996","patterns":["XXX XXXXXX"]}]},{"iso2":"KH","default_name":"Cambodia","country_codes":[{"country_code":"855","patterns":["XX XXX XXX"]}]},{"iso2":"KI","default_name":"Kiribati","country_codes":[{"country_code":"686","patterns":["XXXX XXXX"]}]},{"iso2":"KM","default_name":"Comoros","country_codes":[{"country_code":"269","patterns":["XXX XXXX"]}]},{"iso2":"KN","default_name":"Saint Kitts & Nevis","country_codes":[{"country_code":"1869","patterns":["XXX XXXX"]}]},{"iso2":"KP","default_name":"North Korea","country_codes":[{"country_code":"850"}]},{"iso2":"KR","default_name":"South Korea","country_codes":[{"country_code":"82","patterns":["XX XXXX XXX"]}]},{"iso2":"KW","default_name":"Kuwait","country_codes":[{"country_code":"965","patterns":["XXXX XXXX"]}]},{"iso2":"KY","default_name":"Cayman Islands","country_codes":[{"country_code":"1345","patterns":["XXX XXXX"]}]},{"iso2":"KZ","default_name":"Kazakhstan","country_codes":[{"country_code":"7","prefixes":["6","7"],"patterns":["XXX XXX XX XX"]}]},{"iso2":"LA","default_name":"Laos","country_codes":[{"country_code":"856","patterns":["XX XX XXX XXX"]}]},{"iso2":"LB","default_name":"Lebanon","country_codes":[{"country_code":"961","patterns":["XX XXX XXX"]}]},{"iso2":"LC","default_name":"Saint Lucia","country_codes":[{"country_code":"1758","patterns":["XXX XXXX"]}]},{"iso2":"LI","default_name":"Liechtenstein","country_codes":[{"country_code":"423","patterns":["XXX XXXX"]}]},{"iso2":"LK","default_name":"Sri Lanka","country_codes":[{"country_code":"94","patterns":["XX XXX XXXX"]}]},{"iso2":"LR","default_name":"Liberia","country_codes":[{"country_code":"231","patterns":["XX XXX XXXX"]}]},{"iso2":"LS","default_name":"Lesotho","country_codes":[{"country_code":"266","patterns":["XX XXX XXX"]}]},{"iso2":"LT","default_name":"Lithuania","country_codes":[{"country_code":"370","patterns":["XXX XXXXX"]}]},{"iso2":"LU","default_name":"Luxembourg","country_codes":[{"country_code":"352","patterns":["XXX XXX XXX"]}]},{"iso2":"LV","default_name":"Latvia","country_codes":[{"country_code":"371","patterns":["XXX XXXXX"]}]},{"iso2":"LY","default_name":"Libya","country_codes":[{"country_code":"218","patterns":["XX XXX XXXX"]}]},{"iso2":"MA","default_name":"Morocco","country_codes":[{"country_code":"212","patterns":["XX XXX XXXX"]}]},{"iso2":"MC","default_name":"Monaco","country_codes":[{"country_code":"377","patterns":["XXXX XXXX"]}]},{"iso2":"MD","default_name":"Moldova","country_codes":[{"country_code":"373","patterns":["XX XXX XXX"]}]},{"iso2":"ME","default_name":"Montenegro","country_codes":[{"country_code":"382"}]},{"iso2":"MG","default_name":"Madagascar","country_codes":[{"country_code":"261","patterns":["XX XX XXX XX"]}]},{"iso2":"MH","default_name":"Marshall Islands","country_codes":[{"country_code":"692"}]},{"iso2":"MK","default_name":"North Macedonia","country_codes":[{"country_code":"389","patterns":["XX XXX XXX"]}]},{"iso2":"ML","default_name":"Mali","country_codes":[{"country_code":"223","patterns":["XXXX XXXX"]}]},{"iso2":"MM","default_name":"Myanmar","country_codes":[{"country_code":"95"}]},{"iso2":"MN","default_name":"Mongolia","country_codes":[{"country_code":"976","patterns":["XX XX XXXX"]}]},{"iso2":"MO","default_name":"Macau","country_codes":[{"country_code":"853","patterns":["XXXX XXXX"]}]},{"iso2":"MP","default_name":"Northern Mariana Islands","country_codes":[{"country_code":"1670","patterns":["XXX XXXX"]}]},{"iso2":"MQ","default_name":"Martinique","country_codes":[{"country_code":"596"}]},{"iso2":"MR","default_name":"Mauritania","country_codes":[{"country_code":"222","patterns":["XXXX XXXX"]}]},{"iso2":"MS","default_name":"Montserrat","country_codes":[{"country_code":"1664","patterns":["XXX XXXX"]}]},{"iso2":"MT","default_name":"Malta","country_codes":[{"country_code":"356","patterns":["XX XX XX XX"]}]},{"iso2":"MU","default_name":"Mauritius","country_codes":[{"country_code":"230","patterns":["XXXX XXXX"]}]},{"iso2":"MV","default_name":"Maldives","country_codes":[{"country_code":"960","patterns":["XXX XXXX"]}]},{"iso2":"MW","default_name":"Malawi","country_codes":[{"country_code":"265","patterns":["XX XXX XXXX"]}]},{"iso2":"MX","default_name":"Mexico","country_codes":[{"country_code":"52"}]},{"iso2":"MY","default_name":"Malaysia","country_codes":[{"country_code":"60","patterns":["XX XXXX XXXX"]}]},{"iso2":"MZ","default_name":"Mozambique","country_codes":[{"country_code":"258","patterns":["XX XXX XXXX"]}]},{"iso2":"NA","default_name":"Namibia","country_codes":[{"country_code":"264","patterns":["XX XXX XXXX"]}]},{"iso2":"NC","default_name":"New Caledonia","country_codes":[{"country_code":"687"}]},{"iso2":"NE","default_name":"Niger","country_codes":[{"country_code":"227","patterns":["XX XX XX XX"]}]},{"iso2":"NF","default_name":"Norfolk Island","country_codes":[{"country_code":"672"}]},{"iso2":"NG","default_name":"Nigeria","country_codes":[{"country_code":"234","patterns":["XX XXXX XXXX"]}]},{"iso2":"NI","default_name":"Nicaragua","country_codes":[{"country_code":"505","patterns":["XXXX XXXX"]}]},{"iso2":"NL","default_name":"Netherlands","country_codes":[{"country_code":"31","patterns":["X XX XX XX XX","97 XXXX XXXXX"]}]},{"iso2":"NO","default_name":"Norway","country_codes":[{"country_code":"47","patterns":["XXXX XXXX"]}]},{"iso2":"NP","default_name":"Nepal","country_codes":[{"country_code":"977","patterns":["XX XXXX XXXX"]}]},{"iso2":"NR","default_name":"Nauru","country_codes":[{"country_code":"674"}]},{"iso2":"NU","default_name":"Niue","country_codes":[{"country_code":"683"}]},{"iso2":"NZ","default_name":"New Zealand","country_codes":[{"country_code":"64","patterns":["XXXX XXXX"]}]},{"iso2":"OM","default_name":"Oman","country_codes":[{"country_code":"968","patterns":["XXXX XXXX"]}]},{"iso2":"PA","default_name":"Panama","country_codes":[{"country_code":"507","patterns":["XXXX XXXX"]}]},{"iso2":"PE","default_name":"Peru","country_codes":[{"country_code":"51","patterns":["XXX XXX XXX"]}]},{"iso2":"PF","default_name":"French Polynesia","country_codes":[{"country_code":"689"}]},{"iso2":"PG","default_name":"Papua New Guinea","country_codes":[{"country_code":"675"}]},{"iso2":"PH","default_name":"Philippines","country_codes":[{"country_code":"63","patterns":["XXX XXX XXXX"]}]},{"iso2":"PK","default_name":"Pakistan","country_codes":[{"country_code":"92","patterns":["XXX XXX XXXX"]}]},{"iso2":"PL","default_name":"Poland","country_codes":[{"country_code":"48","patterns":["XXX XXX XXX"]}]},{"iso2":"PM","default_name":"Saint Pierre & Miquelon","country_codes":[{"country_code":"508"}]},{"iso2":"PR","default_name":"Puerto Rico","country_codes":[{"country_code":"1787","patterns":["XXX XXXX"]},{"country_code":"1939","patterns":["XXX XXXX"]}]},{"iso2":"PS","default_name":"Palestine","country_codes":[{"country_code":"970","patterns":["XXX XX XXXX"]}]},{"iso2":"PT","default_name":"Portugal","country_codes":[{"country_code":"351","patterns":["XXX XXX XXX"]}]},{"iso2":"PW","default_name":"Palau","country_codes":[{"country_code":"680"}]},{"iso2":"PY","default_name":"Paraguay","country_codes":[{"country_code":"595","patterns":["XXX XXX XXX"]}]},{"iso2":"QA","default_name":"Qatar","country_codes":[{"country_code":"974","patterns":["XX XXX XXX"]}]},{"iso2":"RE","default_name":"Réunion","country_codes":[{"country_code":"262","patterns":["XXX XXX XXX"]}]},{"iso2":"RO","default_name":"Romania","country_codes":[{"country_code":"40","patterns":["XXX XXX XXX"]}]},{"iso2":"RS","default_name":"Serbia","country_codes":[{"country_code":"381","patterns":["XX XXX XXXX"]}]},{"iso2":"RU","default_name":"Russian Federation","country_codes":[{"country_code":"7","patterns":["XXX XXX XXXX"]}]},{"iso2":"RW","default_name":"Rwanda","country_codes":[{"country_code":"250","patterns":["XXX XXX XXX"]}]},{"iso2":"SA","default_name":"Saudi Arabia","country_codes":[{"country_code":"966","patterns":["XX XXX XXXX"]}]},{"iso2":"SB","default_name":"Solomon Islands","country_codes":[{"country_code":"677"}]},{"iso2":"SC","default_name":"Seychelles","country_codes":[{"country_code":"248","patterns":["X XX XX XX"]}]},{"iso2":"SD","default_name":"Sudan","country_codes":[{"country_code":"249","patterns":["XX XXX XXXX"]}]},{"iso2":"SE","default_name":"Sweden","country_codes":[{"country_code":"46","patterns":["XX XXX XXXX"]}]},{"iso2":"SG","default_name":"Singapore","country_codes":[{"country_code":"65","patterns":["XXXX XXXX"]}]},{"iso2":"SH","default_name":"Saint Helena","country_codes":[{"country_code":"247"},{"country_code":"290","patterns":["XX XXX"]}]},{"iso2":"SI","default_name":"Slovenia","country_codes":[{"country_code":"386","patterns":["XX XXX XXX"]}]},{"iso2":"SK","default_name":"Slovakia","country_codes":[{"country_code":"421","patterns":["XXX XXX XXX"]}]},{"iso2":"SL","default_name":"Sierra Leone","country_codes":[{"country_code":"232","patterns":["XX XXX XXX"]}]},{"iso2":"SM","default_name":"San Marino","country_codes":[{"country_code":"378","patterns":["XXX XXX XXXX"]}]},{"iso2":"SN","default_name":"Senegal","country_codes":[{"country_code":"221","patterns":["XX XXX XXXX"]}]},{"iso2":"SO","default_name":"Somalia","country_codes":[{"country_code":"252","patterns":["XX XXX XXX"]}]},{"iso2":"SR","default_name":"Suriname","country_codes":[{"country_code":"597","patterns":["XXX XXXX"]}]},{"iso2":"SS","default_name":"South Sudan","country_codes":[{"country_code":"211","patterns":["XX XXX XXXX"]}]},{"iso2":"ST","default_name":"São Tomé & Príncipe","country_codes":[{"country_code":"239","patterns":["XX XXXXX"]}]},{"iso2":"SV","default_name":"El Salvador","country_codes":[{"country_code":"503","patterns":["XXXX XXXX"]}]},{"iso2":"SX","default_name":"Sint Maarten","country_codes":[{"country_code":"1721","patterns":["XXX XXXX"]}]},{"iso2":"SY","default_name":"Syria","country_codes":[{"country_code":"963","patterns":["XXX XXX XXX"]}]},{"iso2":"SZ","default_name":"Eswatini","country_codes":[{"country_code":"268","patterns":["XXXX XXXX"]}]},{"iso2":"TC","default_name":"Turks & Caicos Islands","country_codes":[{"country_code":"1649","patterns":["XXX XXXX"]}]},{"iso2":"TD","default_name":"Chad","country_codes":[{"country_code":"235","patterns":["XX XX XX XX"]}]},{"iso2":"TG","default_name":"Togo","country_codes":[{"country_code":"228","patterns":["XX XXX XXX"]}]},{"iso2":"TH","default_name":"Thailand","country_codes":[{"country_code":"66","patterns":["X XXXX XXXX"]}]},{"iso2":"TJ","default_name":"Tajikistan","country_codes":[{"country_code":"992","patterns":["XX XXX XXXX"]}]},{"iso2":"TK","default_name":"Tokelau","country_codes":[{"country_code":"690"}]},{"iso2":"TL","default_name":"Timor-Leste","country_codes":[{"country_code":"670"}]},{"iso2":"TM","default_name":"Turkmenistan","country_codes":[{"country_code":"993","patterns":["XX XXXXXX"]}]},{"iso2":"TN","default_name":"Tunisia","country_codes":[{"country_code":"216","patterns":["XX XXX XXX"]}]},{"iso2":"TO","default_name":"Tonga","country_codes":[{"country_code":"676"}]},{"iso2":"TR","default_name":"Turkey","country_codes":[{"country_code":"90","patterns":["XXX XXX XXXX"]}]},{"iso2":"TT","default_name":"Trinidad & Tobago","country_codes":[{"country_code":"1868","patterns":["XXX XXXX"]}]},{"iso2":"TV","default_name":"Tuvalu","country_codes":[{"country_code":"688"}]},{"iso2":"TW","default_name":"Taiwan","country_codes":[{"country_code":"886","patterns":["XXX XXX XXX"]}]},{"iso2":"TZ","default_name":"Tanzania","country_codes":[{"country_code":"255","patterns":["XX XXX XXXX"]}]},{"iso2":"UA","default_name":"Ukraine","country_codes":[{"country_code":"380","patterns":["XX XXX XX XX"]}]},{"iso2":"UG","default_name":"Uganda","country_codes":[{"country_code":"256","patterns":["XX XXX XXXX"]}]},{"iso2":"US","default_name":"USA","country_codes":[{"country_code":"1","patterns":["XXX XXX XXXX"]}]},{"iso2":"UY","default_name":"Uruguay","country_codes":[{"country_code":"598","patterns":["X XXX XXXX"]}]},{"iso2":"UZ","default_name":"Uzbekistan","country_codes":[{"country_code":"998","patterns":["XX XXX XX XX"]}]},{"iso2":"VC","default_name":"Saint Vincent & the Grenadines","country_codes":[{"country_code":"1784","patterns":["XXX XXXX"]}]},{"iso2":"VE","default_name":"Venezuela","country_codes":[{"country_code":"58","patterns":["XXX XXX XXXX"]}]},{"iso2":"VG","default_name":"British Virgin Islands","country_codes":[{"country_code":"1284","patterns":["XXX XXXX"]}]},{"iso2":"VI","default_name":"US Virgin Islands","country_codes":[{"country_code":"1340","patterns":["XXX XXXX"]}]},{"iso2":"VN","default_name":"Vietnam","country_codes":[{"country_code":"84"}]},{"iso2":"VU","default_name":"Vanuatu","country_codes":[{"country_code":"678"}]},{"iso2":"WF","default_name":"Wallis & Futuna","country_codes":[{"country_code":"681"}]},{"iso2":"WS","default_name":"Samoa","country_codes":[{"country_code":"685"}]},{"iso2":"XK","default_name":"Kosovo","country_codes":[{"country_code":"383","patterns":["XXXX XXXX"]}]},{"iso2":"YE","default_name":"Yemen","country_codes":[{"country_code":"967","patterns":["XXX XXX XXX"]}]},{"iso2":"ZA","default_name":"South Africa","country_codes":[{"country_code":"27","patterns":["XX XXX XXXX"]}]},{"iso2":"ZM","default_name":"Zambia","country_codes":[{"country_code":"260","patterns":["XX XXX XXXX"]}]},{"iso2":"ZW","default_name":"Zimbabwe","country_codes":[{"country_code":"263","patterns":["XX XXX XXXX"]}]}] as any,
  hash: 0
};

/* const PhoneCodesMain: {[phoneCode: string]: Country} = {
  '1': Countries.find(c => c.name === 'United States'),
  '44': Countries.find(c => c.name === 'United Kingdom'),
  '61': Countries.find(c => c.name === 'Australia'),
  '64': Countries.find(c => c.name === 'New Zealand'),
  '246': Countries.find(c => c.name === 'Diego Garcia'),
  '255': Countries.find(c => c.name === 'Tanzania'),
  '262': Countries.find(c => c.name === 'Reunion'),
  '500': Countries.find(c => c.name === 'Falkland Islands'),
  '590': Countries.find(c => c.name === 'Guadeloupe'),
  '672': Countries.find(c => c.name === 'Norfolk Island'),
  '1 268': Countries.find(c => c.name === 'Antigua & Barbuda'),
}; */

/* 
const toInt = (str) => {
  return parseInt(str.replace(/ /g, ''));
};
var arr = window.Countries.sort((a, b) => toInt(a.phoneCode) - toInt(b.phoneCode));
arr.forEach((el, idx) => {
  if(idx === (arr.length - 1)) {
    return;
  }

  if(toInt(arr[idx + 1].phoneCode) === toInt(el.phoneCode)) {
    console.log('duplicate', el, arr[idx + 1]);
  }
});
*/

export default Countries;
